const {
  Validator
} = require('multiple-quick-koa');

exports.getModel = async (ctx) => {
  const params = {
    model: {
      type: 'string',
      required: true,
      message: '请输入model',
    },
  };
  await new Validator(params).validate(ctx.request.body);
};

exports.createModel = async (ctx) => {
  const params = {
    model: {
      type: 'string',
      required: true,
      message: '请输入model',
    },
    desc: {
      type: 'string',
      required: true,
      message: '请输入desc详情',
    },
  };
  await new Validator(params).validate(ctx.request.body);
};


exports.createFile = async (ctx) => {
  const params = {
    plugin: {
      type: 'string',
      required: true,
      message: '请输入plugin',
    },
  };
  await new Validator(params).validate(ctx.request.body);
};