const { Sequelize } = require('multiple-quick-koa')

exports.name = {
  type: Sequelize.STRING,
  comment: '描述',
  allowNull: false,
  is_mock: false,
  defaultValue: '',
  sortOrder: 1,
}

exports.controller = {
  type: Sequelize.STRING,
  comment: '控制器',
  allowNull: false,
  is_mock: false,
  defaultValue: '',
  sortOrder: 2,
}

exports.is_exports = {
  type: Sequelize.BOOLEAN,
  comment: '能否导出',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 3,
}

exports.is_imports = {
  type: Sequelize.BOOLEAN,
  comment: '能否导入',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 4,
}

exports.is_view = {
  type: Sequelize.BOOLEAN,
  comment: '能否查看',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 5,
}

exports.is_delete = {
  type: Sequelize.BOOLEAN,
  comment: '能否删除',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 6,
}

exports.is_insert = {
  type: Sequelize.BOOLEAN,
  comment: '能否新增',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 7,
}

exports.is_update = {
  type: Sequelize.BOOLEAN,
  comment: '能否修改',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 8,
}

exports.is_updateInline = {
  type: Sequelize.BOOLEAN,
  comment: '能否局部修改',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 9,
}

exports.is_mock = {
  type: Sequelize.BOOLEAN,
  comment: '能否mock',
  allowNull: false,
  is_mock: false,
  defaultValue: false,
  sortOrder: 10,
}
