const { Validator } = require('multiple-quick-koa');

exports.login = async (ctx) => {
  const params = {
    mobile: {
      type: 'string',
      required: true,
      message: '请输入手机号',
    },
    password: {
      type: 'string',
      required: true,
      message: '请输入密码',
    },
  };
  await new Validator(params).validate(ctx.request.body);
};


exports.register = async (ctx) => {
  const params = {
    mobile: {
      type: 'string',
      required: true,
      message: '请输入手机号',
    },
    password: {
      type: 'string',
      required: true,
      message: '请输入密码',
    },
    name: {
      type: 'string',
      required: true,
      message: '请输入昵称',
    },
    code: {
      type: 'string',
      required: true,
      message: '请输入昵称',
    },
  };
  await new Validator(params).validate(ctx.request.body);
};
