const { Sequelize } = require('multiple-quick-koa');

exports.name = {
  type: Sequelize.STRING,
  comment: '名字',
  allowNull: false,
  defaultValue: '',
  validate: {
    notNull: {
      msg: '名字不允许为空',
    },
    notEmpty: {
      msg: '名字不允许为空',
    },
  },
};


exports.lang_id = {
  type: Sequelize.INTEGER(11),
  comment: '语言',
  allowNull: false,
  defaultValue: 1,
};

exports.key = {
  type: Sequelize.STRING,
  comment: 'key值',
  allowNull: false,
  defaultValue: '',
  validate: {
    notNull: {
      msg: 'key值不允许为空',
    },
    notEmpty: {
      msg: 'key值不允许为空',
    },
  },
};

exports.value = {
  type: Sequelize.STRING,
  comment: 'value值',
  allowNull: false,
  defaultValue: '',
  validate: {
    notNull: {
      msg: 'value值不允许为空',
    },
    notEmpty: {
      msg: 'value值不允许为空',
    },
  },
};
