module.exports = {
  name: '错误日志',
  belongs: 'auth',
  multiple: true,
  order: ['created_at'],
  select: ['url'],
  excludes: [],
  defaultOrder: [{ sort: 'descending', type: 'id' }],
  comment: {},
  reference: [
    {
      key: 'log_user',
      common: true,
      name: '查询用户',
      width: 200,
    },
  ],
  limit: 50,
  personal: [
    {
      key: 'operate_log',
      common: true,
    },
  ],
}
