module.exports = {
  name: '微信小程序用户',
  belongs: 'page',
  multiple: false,
  availableSort: false,
  order: ['created_at'],
  select: [{ key: 'user_id' }, { key: 'nick_name' }, { key: 'openid' }],
  excludes: [],
  limit: 20,
  defaultOrder: [{ sort: 'descending', type: 'id' }],
  comment: {
    created_at: {
      comment: '创建时间',
    },
  },
  sortOrder: 1,
  reference: [],
  excludeAuth: [],
}
