const { getAppByCtx } = require('multiple-quick-koa')

exports.edit = async (ctx) => {
  const { app, appName } = getAppByCtx(ctx)

  const { id, myPermissionList } = ctx.request.body

  if (id === ctx.request[`${appName}-user`].id) {
    throw new Error('您不能修改该权限')
  }
  await app.model.role_permission.destroy({
    where: {
      role_id: id,
    },
  })

  await app.model.role_permission.bulkCreate(
    myPermissionList.map((item) => {
      return {
        role_id: id,
        permission_id: item.permission.id,
      }
    })
  )

  ctx.SUCCESS('ok')
}
