const { Sequelize, Random } = require('multiple-quick-koa');


exports.role_id = {
  type: Sequelize.MEDIUMINT.UNSIGNED,
  comment: '管理员角色',
  allowNull: false,
  is_mock: true,
  defaultValue: 0,
  sortOrder: 1,
  mock: () => Random.integer(1,5),
  unique:'compositeIndex'
};

exports.permission_id = {
  type: Sequelize.MEDIUMINT.UNSIGNED,
  comment: '权限',
  allowNull: false,
  is_mock: true,
  defaultValue: 0,
  sortOrder: 2,
  mock: () => Random.integer(1,5),
  unique:'compositeIndex'
};
