const axios = require('axios');

const qs = require('qs');


module.exports = class Card {
  constructor(config) {
    this.config = {
      app_code: config.app_code,
    };
    this.send_url = 'http://businesscard.sinosecu.com.cn/api/recogliu.do';
  }

  send(img) {
    return axios.post(this.send_url, qs.stringify({
      img,
    }), {
      headers: {
        Authorization: 'APPCODE 59f7e9da22e84913a5414cb959cef1e4',
        'Content-Type': 'application/x-www-form-urlencoded',
      },
    }).then(res => res.data);
  }
};
